adinstbpm - Task #17729

Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Average Position (Snapshot) Orbit (0x0014)
09/15/2017 11:30 AM - John Diamond

Status: Work in progress Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 4.00 hours
Target version: Spent time: 5.00 hours
Description

Implement Booster BPM ACNET device 0x0014

History

#1-10/11/2017 01:13 PM - John Diamond
- Status changed from Assigned to Work in progress

- % Done changed from 0 to 90

Implemented and created a test device:

e Z:BTQORB

#2 - 10/11/2017 01:14 PM - John Diamond
- % Done changed from 90 to 70

Just remembered that this device also has a setting property which controls the number of turns that are averaged into the orbit sample. This remains
to be done.

#3 - 10/18/2017 08:13 PM - John Diamond
- % Done changed from 70 to 80

Filled in missing fields in header.

#4 - 10/19/2017 02:53 PM - John Diamond
- % Done changed from 80 to 90

Implemented the setting property for controlling the number of turns to average into an orbit reading. For now this only manipulates an internal
variable and needs to be attached to the state machine in the future.
